# Task.h File Reference

`#include "ace/Service_Object.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/Task.inl"`
`#include "ace/Task_T.h"`

Include dependency graph for Task.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_Task_Flags

## Classes

class | ACE_Task_Base
| Direct base class for the ACE_Task template. More...

## Detailed Description

Id
  Task.h,v 4.69 2005/10/30 09:11:00 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>